import { expect, tap } from '@pushrocks/tapbundle';
import * as smartsitemap from '../ts/index';

let testSmartsitemap: smartsitemap.SmartSitemap;

tap.test('should create an instance of Smartsitemap', async () => {
  testSmartsitemap = new smartsitemap.SmartSitemap();
  expect(testSmartsitemap).to.be.instanceOf(smartsitemap.SmartSitemap);
});

tap.test('should create a sitemap from feed', async () => {
  const sitemapNews = testSmartsitemap.createSmartsitemapNews();
  await sitemapNews.readFromRssFeed('https://www.theverge.com/rss/index.xml');
  const sitemapString = sitemapNews.exportSitemapXml();
  console.log(sitemapString);
});

tap.start();
